/* Nokia 5110 LCD AVR Library example
 *
 * Copyright (C) 2015 Sergey Denisov.
 * Written by Sergey Denisov aka LittleBuster (DenisovS21@gmail.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public Licence
 * as published by the Free Software Foundation; either version 3
 * of the Licence, or (at your option) any later version.
 *
 * Original library written by SkewPL, http://skew.tk
 */

#include <avr/io.h>
#include <util/delay.h>
#include "MMA8452.h"
extern "C" {
#include "nokia5110.h"
}

#include <stdio.h>

int main(void)
{   
	i2c_init();
	MMA8452 accel;
	accel.setDataRate(MMA_800hz);
	accel.setRange(MMA_RANGE_8G);
	float x = 0, y = 0, z = 0;

	nokia_lcd_init();
	char buf[40];
	while(1){
		accel.getAcceleration(&x, &y, &z);
		nokia_lcd_clear();
		nokia_lcd_set_cursor(0, 10);
		sprintf(buf, "%d", x);
		nokia_lcd_write_string(buf, 3);
		nokia_lcd_render();
		_delay_ms(1000);
	}

	for (;;) {
		_delay_ms(1000);
	}
}
